#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE4,0xEA,0xB1,0x1A,0x25,0x7B,0xCB,0xD9,0x4E,0x03,0x69,0xB4,
		0x17,0x56,0x39,0x1F,0x3A,0xA7,0x4C,0x15,0x7C,0xE3,0x00,0x16,
		0xFE,0x25,0x47,0xA4,0xD9,0x56,0xE4,0xCD,0x1F,0xE2,0x30,0x7D,
		0x24,0xC2,0x5F,0xB7,0xF2,0x58,0x46,0x3A,0xA1,0x47,0xF0,0x1C,
		0x68,0xE4,0xBC,0xCB,0x3A,0x7D,0xFE,0x43,0x99,0xA4,0xEA,0x99,
		0xC4,0x31,0x16,0x9F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
